function Model=LoadData(Model)
dn=.001;    % truncation parameter for density estimator

Model=FindFileName(Model);

list=Model.list;
level=Model.level;
PScoreModel=Model.PScoreModel;
Test=Model.Test;
Start=datenum(Model.Start);
End=datenum(Model.End);
numlev=size(level,1);
scoref=Model.scoref;
paramf=Model.paramf;

clear(['s']);
s=load(scoref);
s=s.s;

ind=find(strcmp(s.colheaders,'year'));
year=s.data(:,ind);
ind=find(strcmp(s.colheaders,'month'));
month=s.data(:,ind);
day=eomday(year,month);
MeetingMonth=datenum([year,month,day]);



StartV=datevec(Start);
datefull(1)=datenum([StartV(1),StartV(2),eomday(StartV(1),StartV(2))]);
i=1;
%This generates a date vector of end of month dates that span the sample
%period and padd in missing months where there are no meetings. This
%information is needed to compute serial correlations of prediction errors
%in calendar time as opposed to meeting time. 
while datefull(i)<End
      i=i+1;
      if StartV(2)<=11
         StartV(2)=StartV(2)+1;         
         datefull(i)=datenum([StartV(1),StartV(2),eomday(StartV(1),StartV(2))]);
      else
         StartV(2)=1;         %January - Start a new year
         StartV(1)=StartV(1)+1;
         datefull(i)=datenum([StartV(1),StartV(2),eomday(StartV(1),StartV(2))]);
      end
end
Model.datefull=datefull;
         
indStart=find(MeetingMonth>Start);
indEnd=find(MeetingMonth<End);
ia=intersect(indStart,indEnd);
%Load Variables
        ind=find(strcmp(s.colheaders,'cum_dtarg'));
        cum_dtarg=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'dtarg'));
        dtarg=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'delta_FF_old'));
        delta_FF_old=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'oldtarg'));
        oldtarg=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'gray0'));
        gray0=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'gray1'));
        gray1=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'gray2'));
        gray2=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'graym'));
        graym=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'igry0'));
        igry0=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'igry1'));
        igry1=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'igry2'));
        igry2=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'igrym'));
        igrym=s.data(ia,ind);

        ind=find(strcmp(s.colheaders,'igrd0'));
        igrd0=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'igrd1'));
        igrd1=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'igrd2'));
        igrd2=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'igrym'));
        igrym=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'igrdm'));
        igrdm=s.data(ia,ind);        
        ind=find(strcmp(s.colheaders,'innovation'));
        innovation=s.data(ia,ind);  
        ind=find(strcmp(s.colheaders,'grau0'));
        grau0=s.data(ia,ind);  
    
        ind=find(strcmp(s.colheaders,'gradm'));
        gradm=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'grad0'));
        grad0=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'grad1'));
        grad1=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'grad2')); 
        grad2=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'grau0'));
        grau0=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'phat_M50'));
        phat_M50=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'phat_M25'));
        phat_M25=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'phat_0'));
        phat_0=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'phat_P25'));
        phat_P25=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'phat_P50'));
        phat_P50=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'score_xb'));
        score_xb=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'score_cut1'));
        score_cut1=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'score_cut2'));
        score_cut2=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'score_cut3'));
        score_cut3=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'score_cut4'));
        score_cut4=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'delta_FF_old_square'));
        delta_FF_old2=s.data(ia,ind);        
        ind=find(strcmp(s.colheaders,'delta_FF_old_cube'));
        delta_FF_old3=s.data(ia,ind);        
        ind=find(strcmp(s.colheaders,'delta_FF_old_quartic'));
        delta_FF_old4=s.data(ia,ind);        

        ind=find(strcmp(s.colheaders,'delta_FF_older'));
        delta_FF_older=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_1'));
        pcipnsa_1=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_2'));
        pcipnsa_2=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_3'));
        pcipnsa_3=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_4'));
        pcipnsa_4=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_5'));
        pcipnsa_5=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_6'));
        pcipnsa_6=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_7'));
        pcipnsa_7=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_8'));
        pcipnsa_8=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_9'));
        pcipnsa_9=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_10'));
        pcipnsa_10=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_11'));
        pcipnsa_11=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_12'));
        pcipnsa_12=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_13'));
        pcipnsa_13=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_14'));
        pcipnsa_14=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_15'));
        pcipnsa_15=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_16'));
        pcipnsa_16=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_17'));
        pcipnsa_17=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_18'));
        pcipnsa_18=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_19'));
        pcipnsa_19=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_20'));
        pcipnsa_20=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_21'));
        pcipnsa_21=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_22'));
        pcipnsa_22=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_23'));
        pcipnsa_23=s.data(ia,ind);
        ind=find(strcmp(s.colheaders,'pcipnsa_24'));
        pcipnsa_24=s.data(ia,ind); 
        
        ind=find(strcmp(s.colheaders,'rgdpgrth_1'));
        rgdpgrth_1=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'rgdpgrth_2'));
        rgdpgrth_2=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'rgdpgrth_3'));
        rgdpgrth_3=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'rgdpgrth_4'));
        rgdpgrth_4=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'rgdpgrth_5'));
        rgdpgrth_5=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'rgdpgrth_6'));
        rgdpgrth_6=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'rgdpgrth_7'));
        rgdpgrth_7=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'rgdpgrth_8'));
        rgdpgrth_8=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'rgdpgrth_9'));
        rgdpgrth_9=s.data(ia,ind); 
        
        ind=find(strcmp(s.colheaders,'infl_sa_1'));
        infl_sa_1=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_sa_2'));
        infl_sa_2=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_sa_3'));
        infl_sa_3=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_sa_4'));
        infl_sa_4=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_sa_5'));
        infl_sa_5=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_sa_6'));
        infl_sa_6=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_sa_7'));
        infl_sa_7=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_sa_8'));
        infl_sa_8=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_sa_9'));
        infl_sa_9=s.data(ia,ind); 
        
        ind=find(strcmp(s.colheaders,'infl_nsa_1'));
        infl_nsa_1=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_nsa_2'));
        infl_nsa_2=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_nsa_3'));
        infl_nsa_3=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_nsa_4'));
        infl_nsa_4=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_nsa_5'));
        infl_nsa_5=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_nsa_6'));
        infl_nsa_6=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_nsa_7'));
        infl_nsa_7=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_nsa_8'));
        infl_nsa_8=s.data(ia,ind); 
        ind=find(strcmp(s.colheaders,'infl_nsa_9'));
        infl_nsa_9=s.data(ia,ind); 
        

%construct Dummy Variables (ordered choice dummies)
switch Model.PScoreModel
    case {'mnlogit','OProbit'}
        D=zeros(length(dtarg),5);
        D(:,1)=(dtarg==-.5);
        D(:,2)=(dtarg==-.25);
        D(:,3)=(dtarg==0);
        D(:,4)=(dtarg==.25);
        D(:,5)=(dtarg==.5);
        phat=[phat_M50,phat_M25,phat_0,phat_P25,phat_P50];
        DNames=['D_M50' char(9) 'D_M25' char(9) 'D_0' char(9) 'D_P25' char(9) 'D_P50'];
    case {'3valmnlogit','3valOprobit'}
        D=zeros(length(dtarg),3);
        D(:,1)=(dtarg==-.25);
        D(:,2)=(dtarg==0);
        D(:,3)=(dtarg==.25);        
        phat=[phat_M25,phat_0,phat_P25];
        DNames=['D_M25' char(9) 'D_0' char(9) 'D_P25'];        
end

psResid=zeros(length(datefull),size(D,2));
RealTInd=zeros(length(datefull),size(D,2));
for i=1:size(datefull,2)
    [rind,ria,rib]=intersect(datefull(i),MeetingMonth);
    if ~isempty(rib)
        psResid(i,:)=(D(rib,:)-phat(rib,:))'*ones(size(rib,1));
        RealTInd(i,:)=1;
    end
end
Model.RealTInd=RealTInd;
Model.psResid=psResid;

%generate monthly dummies
DumMonth=zeros(size(score_xb,1),11);
const=ones(size(score_xb,1),1);
for i=1:11;
    ind=find((month-i-1)==0);
    DumMonth(ind,i)=ones(size(ind,1),1);
end

s=load(paramf);
s=s.s;


switch Model.PScoreModel
    case {'3valOprobit'}
         switch Model.Type
            case {'oct_nopcip_full','oct_nopcip_full_Bin'}
                beta=s.data(1,1:18)';            
                cut=s.data(1,19:20)';
           case {'oct_nopcip_full_ff2','oct_nopcip_full_ff2_Bin'}
                beta=s.data(1,1:19)';            
                cut=s.data(1,20:21)';   
             case {'romer_9var','romer_9var_Bin'}
                beta=s.data(1,1:9)';            
                cut=s.data(1,10:11)';                
            case {'romer_9var_ff2','romer_9var_ff2_Bin'}
                beta=s.data(1,1:10)';            
                cut=s.data(1,11:12)';             
          case {'romer_12var'}
                beta=s.data(1,1:end-2)';            
                cut=s.data(1,end-1:end)';                    
            case {'Taylor_nsa_Bin','Taylor_nsa','Taylor_sa_Bin','Taylor_sa',...
                    'Taylor_nsa_sq_Bin','Taylor_nsa_sq','Taylor_nsa_qua'};
                beta=s.data(1,1:end-2)';            
                cut=s.data(1,end-1:end)';             
      end      
    case 'OProbit'
        switch Model.Type
            case 'romer_9var'
                beta=s.data(1,1:9)';               
                cut=s.data(1,10:13)';  
            case 'romer_9var_ff2'
                beta=s.data(1,1:10)';               
                cut=s.data(1,11:14)';     
            case 'romer_9var_ffl'
                beta=s.data(1,1:10)';               
                cut=s.data(1,11:14)';                                     
            case 'oct_nopcip_full'
                beta=s.data(1,1:18)';            
                cut=s.data(1,19:22)';
        end
    case {'3valmnlogit'}
       beta=s.data';    
       cut=zeros(2,1);
    case 'mnlogit'
       beta=s.data';    
       cut=zeros(4,1);        
       numpar=size(beta,1);
       score=[score_xb];                      
end



%build regressor matrix
switch Model.Type
            case {'romer_9var','romer_9var_Bin'}
                X=[delta_FF_old gray0 gray1 gray2 igry0 igry1 igry2 grad2 innovation];           
                XNames=['delta_FF_old' char(9) 'gray0' char(9) 'gray1' char(9) 'gray2' char(9) 'igry0' char(9) 'igry1' char(9) 'igry2' char(9) 'grad2' char(9) 'innovation'];                                           
            case {'romer_9var_ff2','romer_9var_ff2_Bin'}
                X=[delta_FF_old delta_FF_old2 gray0 gray1 gray2 igry0 igry1 igry2...
                grad2 innovation];           
                XNames=['delta_FF_old' char(9) 'delta_FF_old2' char(9) 'gray0' char(9) 'gray1' char(9) 'gray2' char(9) 'igry0' char(9) 'igry1' char(9) 'igry2' char(9) 'grad2' char(9) 'innovation'];  
            case {'romer_12var'}
                X=[delta_FF_old delta_FF_old2 delta_FF_old3 delta_FF_old4 gray0 gray1 gray2 igry0 igry1 igry2...
                grad2 innovation];           
                XNames=['delta_FF_old' char(9) 'delta_FF_old2' char(9) 'delta_FF_old3' char(9) 'delta_FF_old4' char(9) 'gray0' char(9) 'gray1' char(9) 'gray2' char(9) 'igry0' char(9) 'igry1' char(9) 'igry2' char(9) 'grad2' char(9) 'innovation'];                  
            case {'oct_nopcip_full','oct_nopcip_full_Bin'}
                X=[delta_FF_old graym gray0 gray1 gray2 igrym igry0 igry1 igry2...
                gradm grad0 grad1 grad2 igrdm igrd0 igrd1 igrd2 innovation];
                XNames=['delta_FF_old' char(9) 'graym' char(9) 'gray0' char(9) 'gray1' char(9) 'gray2' char(9) 'igrym' char(9) 'igry0' char(9) 'igry1' char(9) 'igry2' char(9) ...
                        'gradm' char(9) 'grad0' char(9) 'grad1' char(9) 'grad2' char(9) 'igrdm' char(9) 'igrd0' char(9) 'igrd1' char(9) 'igrd2' char(9) 'innovation'];            
           case {'oct_nopcip_full_ff2'}
                X=[delta_FF_old delta_FF_old2 graym gray0 gray1 gray2 igrym igry0 igry1 igry2...
                gradm grad0 grad1 grad2 igrdm igrd0 igrd1 igrd2 innovation];
                XNames=[];
             case {'Taylor_nsa_Bin','Taylor_nsa'};
                X=[delta_FF_old delta_FF_older rgdpgrth_1 rgdpgrth_2 rgdpgrth_3 rgdpgrth_4 rgdpgrth_5 rgdpgrth_6 rgdpgrth_7 rgdpgrth_8 rgdpgrth_9...
                    infl_nsa_1 infl_nsa_2 infl_nsa_3 infl_nsa_4 infl_nsa_5 infl_nsa_6 infl_nsa_7 infl_nsa_8 infl_nsa_9];
                XNames=['delta_FF_old' char(9) 'delta_FF_older' char(9) 'rgdpgrth_1' char(9) 'rgdpgrth_2' char(9) 'rgdpgrth_3' char(9) 'rgdpgrth_4' char(9) 'rgdpgrth_5' char(9) 'rgdpgrth_6' char(9) 'rgdpgrth_7' char(9) 'rgdpgrth_8' char(9) 'rgdpgrth_9'...
                        'infl_nsa_1' char(9) 'infl_nsa_2' char(9) 'infl_nsa_3' char(9) 'infl_nsa_4' char(9) 'infl_nsa_5' char(9) 'infl_nsa_6' char(9) 'infl_nsa_7' char(9) 'infl_nsa_8' char(9) 'infl_nsa_9'];
             case {'Taylor_nsa_sq_Bin','Taylor_nsa_sq'};
                X=[delta_FF_old delta_FF_old2 rgdpgrth_1 rgdpgrth_2 rgdpgrth_3 rgdpgrth_4 rgdpgrth_5 rgdpgrth_6 rgdpgrth_7 rgdpgrth_8 rgdpgrth_9...
                    infl_nsa_1 infl_nsa_2 infl_nsa_3 infl_nsa_4 infl_nsa_5 infl_nsa_6 infl_nsa_7 infl_nsa_8 infl_nsa_9];
                XNames=['delta_FF_old' char(9) 'delta_FF_old_square' char(9) 'rgdpgrth_1' char(9) 'rgdpgrth_2' char(9) 'rgdpgrth_3' char(9) 'rgdpgrth_4' char(9) 'rgdpgrth_5' char(9) 'rgdpgrth_6' char(9) 'rgdpgrth_7' char(9) 'rgdpgrth_8' char(9) 'rgdpgrth_9'...
                        'infl_nsa_1' char(9) 'infl_nsa_2' char(9) 'infl_nsa_3' char(9) 'infl_nsa_4' char(9) 'infl_nsa_5' char(9) 'infl_nsa_6' char(9) 'infl_nsa_7' char(9) 'infl_nsa_8' char(9) 'infl_nsa_9'];                    
            case {'Taylor_nsa_qua'};
                X=[delta_FF_old delta_FF_old2 delta_FF_old3 delta_FF_old4 rgdpgrth_1 rgdpgrth_2 rgdpgrth_3 rgdpgrth_4 rgdpgrth_5 rgdpgrth_6 rgdpgrth_7 rgdpgrth_8 rgdpgrth_9...
                    infl_nsa_1 infl_nsa_2 infl_nsa_3 infl_nsa_4 infl_nsa_5 infl_nsa_6 infl_nsa_7 infl_nsa_8 infl_nsa_9];
                XNames=['delta_FF_old' char(9) 'delta_FF_old_square' char(9) 'delta_FF_old_cube' char(9) 'delta_FF_old_quartic' char(9) 'rgdpgrth_1' char(9) 'rgdpgrth_2' char(9) 'rgdpgrth_3' char(9) 'rgdpgrth_4' char(9) 'rgdpgrth_5' char(9) 'rgdpgrth_6' char(9) 'rgdpgrth_7' char(9) 'rgdpgrth_8' char(9) 'rgdpgrth_9'...
                        'infl_nsa_1' char(9) 'infl_nsa_2' char(9) 'infl_nsa_3' char(9) 'infl_nsa_4' char(9) 'infl_nsa_5' char(9) 'infl_nsa_6' char(9) 'infl_nsa_7' char(9) 'infl_nsa_8' char(9) 'infl_nsa_9'];                                                     
             case {'Taylor_sa','Taylor_sa_Bin'};                 
                X=[delta_FF_old delta_FF_older rgdpgrth_1 rgdpgrth_2 rgdpgrth_3 rgdpgrth_4 rgdpgrth_5 rgdpgrth_6 rgdpgrth_7 rgdpgrth_8 rgdpgrth_9...
                    infl_sa_1 infl_sa_2 infl_sa_3 infl_sa_4 infl_sa_5 infl_sa_6 infl_sa_7 infl_sa_8 infl_sa_9];
                XNames=['delta_FF_old' char(9) 'delta_FF_older' char(9) 'rgdpgrth_1' char(9) 'rgdpgrth_2' char(9) 'rgdpgrth_3' char(9) 'rgdpgrth_4' char(9) 'rgdpgrth_5' char(9) 'rgdpgrth_6' char(9) 'rgdpgrth_7' char(9) 'rgdpgrth_8' char(9) 'rgdpgrth_9'...
                        'infl_sa_1' char(9) 'infl_sa_2' char(9) 'infl_sa_3' char(9) 'infl_sa_4' char(9) 'infl_sa_5' char(9) 'infl_sa_6' char(9) 'infl_sa_7' char(9) 'infl_sa_8' char(9) 'infl_sa_9'];
end 


switch Model.PScoreModel
    case {'3valOprobit','OProbit'}
              xb=X*beta;
              numpar=size(beta,1)+2;
              score=[score_xb,score_cut1,score_cut2,score_cut3,score_cut4];                    
    case {'mnlogit'}
           dimX=size(X,2);
           xb=[];
           for i=1:4
               xb=[xb, X*beta((i-1)*dimX+1:i*dimX)];
           end
      numpar=size(beta,1);
      score=[score_xb];                           
 case {'3valmnlogit'}
         dimX=size(X,2);
         xb=[];
         for i=1:2
               xb=[xb, X*beta((i-1)*dimX+1:i*dimX)];
         end
         numpar=size(beta,1);
         score=[score_xb];
end


%Generate lead variables for each response variable
s=load('PCIPNSA_Data.mat');
s=s.s;

s.data=s.data(2:end,:);
ind=find(strcmp(s.colheaders,'year'));
year=s.data(:,ind);
ind=find(strcmp(s.colheaders,'month'));
month=s.data(:,ind);
day=eomday(year,month);
dx1=datenum([year,month,day]);

indStart=dx1(find(dx1>Start));
indEnd=dx1(find(dx1<End));
[dx1,ia,ib]=intersect(indStart,indEnd);
dx2=[];
MeetingInd=[];
for i=1:size(MeetingMonth,1)
    if ~isempty(intersect(MeetingMonth(i,1),dx1));        
        [ii,ia,ib]=intersect(MeetingMonth(i,1),dx1);        
        dx2=[dx2;MeetingMonth(i,1)];
        MeetingInd=[MeetingInd;ib];
    end
end
ind=find(strcmp(s.colheaders,'PCIPNSA'));
pcipnsa=s.data(:,ind);


% calculate months with two interventions
% compute lead outcome variables up to 36 month ahead
maxlead=36;
yNames=[];
for i=1:maxlead
    y(:,i)=[s.data(i+1:end,ind);zeros(i,1)];
    yNames=[yNames char(9) 'PCIP_P' num2str(i)];
end

%Align Lead outcome variables with meeting dates
%Eliminate Meeting dates with no observed future outcomes
done=false;
while ~done
    if MeetingInd(end,:)<=length(dx1)-maxlead
       done=true;
    else
       MeetingInd=MeetingInd(1:end-1,:);
       MeetingMonth=MeetingMonth(1:end-1,:);
    end
end
y=y(MeetingInd,:);


%adjust remaining data-set to lead timing
MMl=length(MeetingMonth);
phat=phat(1:MMl,:);
score=score(1:MMl,:);
xb=xb(1:MMl,:);
X=X(1:MMl,:);
D=D(1:MMl,:);


%compute dates to be excluded based on exclusion criterion
lb=Model.lb;
ub=Model.ub;
switch Model.ExTyp
    case 'g95'
        for i=1:length(MeetingMonth)
            if max(phat(i,:)>ub)==1
                Model.Exclude=[Model.Exclude;MeetingMonth(i,:)];
            end
        end
    case 'b5-95'
        for i=1:length(MeetingMonth)
           if max(phat(i,:)>ub)==1 || max(phat(i,:)<lb)==1 
%          if max(phat(i,:)>.99999999)==1 || max(phat(i,:)<.00000001)==1
                Model.Exclude=[Model.Exclude;MeetingMonth(i,:)];
            end
        end
end

switch Model.Type
       case {'oct3_12','oct3_12_full','oct3_12_auto'}
       Model.Data=struct('delta_FF', delta_FF_old, 'delta_FF_older', delta_FF_older, 'graym', graym, 'gray0', gray0, 'gray1', gray1, 'gray2', gray2,...
                         'igrym', igrym, 'igry0', igry0, 'igry1', igry1, 'igry2', igry2, 'gradm', gradm, 'grad0', grad0, 'grad1', grad1,...
                         'igrdm', igrdm, 'igrd0', igrd0, 'igrd1', igrd1, 'igrd2',igrd2, 'innovation',innovation,...
                          'pcipnsa_1', pcipnsa_1, 'pcipnsa_2', pcipnsa_2, 'pcipnsa_3', pcipnsa_3, 'pcipnsa_4', pcipnsa_4,...
                          'pcipnsa_5', pcipnsa_5, 'pcipnsa_6',  pcipnsa_6, 'pcipnsa_7', pcipnsa_7, 'pcipnsa_8', pcipnsa_8,...
                          'pcipnsa_9', pcipnsa_9, 'pcipnsa_10', pcipnsa_10, 'pcipnsa_11', pcipnsa_11, 'pcipnsa_12', pcipnsa_12);
       case {'oct_nopcip_full','romer','oct_nopcip_full_ff2'}
       Model.Data=struct('delta_FF', delta_FF_old, 'graym', graym, 'gray0', gray0, 'gray1', gray1, 'gray2', gray2,...
                         'igrym', igrym, 'igry0', igry0, 'igry1', igry1, 'igry2', igry2, 'gradm', gradm, 'grad0', grad0, 'grad1', grad1,...
                         'igrdm', igrdm, 'igrd0', igrd0, 'igrd1', igrd1, 'igrd2',igrd2, 'innovation',innovation,'const',const);
  case {'romer_7var','romer_9var','romer_9var_ff2','romer_9var_ffl','romer_12var'}
       Model.Data=struct('delta_FF', delta_FF_old, 'graym', graym, 'gray0', gray0, 'gray1', gray1, 'gray2', gray2,...
                         'igrym', igrym, 'igry0', igry0, 'igry1', igry1, 'igry2', igry2, 'gradm', gradm, 'grad0', grad0, 'grad1', grad1,...
                         'igrdm', igrdm, 'igrd0', igrd0, 'igrd1', igrd1, 'igrd2',igrd2, 'innovation',innovation,'const',const);
end

Model.numpar=numpar;
Model.score=score;       
Model.y=y;
Model.D=D;
Model.X=X;
Model.xb=xb;
Model.phat=phat;
Model.MeetingMonth=MeetingMonth;


Model.cut=cut;
Model.PScoreModel=PScoreModel;
Model.Test=Test;
Model.dn=dn;
Model.Names=struct('yNames', yNames, 'DNames', DNames, 'XNames', XNames);

cR=zeros(36,5);
tR=zeros(36,5);

outData(Model);

return
