function Model=LoadData_PSTest(Model);
dn=.001;    % truncation parameter for density estimator
CutOff=.9;


list=Model.list;
level=Model.level;
PScoreModel=Model.PScoreModel;
Test=Model.Test;
Start=datenum(Model.Start);
End=datenum(Model.End);
scoref=Model.scoref;
numlev=size(level,1);

MeetingMonth=Model.MeetingMonth;
phat=Model.phat;
score=Model.score;
xb=Model.xb;
X=Model.X;
D=Model.D;


clear(['s']);
s=load(scoref);
s=s.s;


%reload entire set of predictors for smaller models


s=load('3vals_oprobit_score_romer.mat');  
s=s.s;        
ind=find(strcmp(s.colheaders,'year'));
year1=s.data(:,ind);
ind=find(strcmp(s.colheaders,'month'));
month1=s.data(:,ind);
day1=eomday(year1,month1);
dx1=datenum([year1,month1,day1]);
[date1,ia,ib]=intersect(dx1,MeetingMonth);
dZ=[];
IndZ=[];
for i=1:size(MeetingMonth,1)
if ~isempty(intersect(MeetingMonth(i,1),dx1));        
    [ii,ia,ib]=intersect(MeetingMonth(i,1),dx1);        
    dZ=[dZ;MeetingMonth(i,1)];
    IndZ=[IndZ;ib];
end
end          

ind=find(strcmp(s.colheaders,'delta_FF_old'));
delta_FF_old=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'gray0'));
gray0=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'gray1'));
gray1=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'gray2'));
gray2=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'graym'));
graym=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'igry0'));
igry0=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'igry1'));
igry1=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'igry2'));
igry2=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'igrym'));
igrym=s.data(IndZ,ind);

ind=find(strcmp(s.colheaders,'igrd0'));
igrd0=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'igrd1'));
igrd1=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'igrd2'));
igrd2=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'igrym'));
igrdm=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'innovation'));
innovation=s.data(IndZ,ind);

ind=find(strcmp(s.colheaders,'gradm'));
gradm=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'grad0'));
grad0=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'grad1'));
grad1=s.data(IndZ,ind);
ind=find(strcmp(s.colheaders,'grad2'));
grad2=s.data(IndZ,ind);

s=load('taylor_score_oprobit_nsa_bin.mat');  
s=s.s;        
ind=find(strcmp(s.colheaders,'year'));
year1=s.data(:,ind);
ind=find(strcmp(s.colheaders,'month'));
month1=s.data(:,ind);
day1=eomday(year1,month1);
dx1=datenum([year1,month1,day1]);
[date1,ia,ib]=intersect(dx1,MeetingMonth);
dZ=[];
IndZ=[];
for i=1:size(MeetingMonth,1)
if ~isempty(intersect(MeetingMonth(i,1),dx1));        
    [ii,ia,ib]=intersect(MeetingMonth(i,1),dx1);        
    dZ=[dZ;MeetingMonth(i,1)];
    IndZ=[IndZ;ib];
end
end          

ind=find(strcmp(s.colheaders,'delta_FF_old'));
delta_FF_old=s.data(IndZ(1):IndZ(end),ind);              

ind=find(strcmp(s.colheaders,'rgdpgrth_1'));
rgdpgrth_1=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'rgdpgrth_2'));
rgdpgrth_2=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'rgdpgrth_3'));
rgdpgrth_3=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'rgdpgrth_4'));
rgdpgrth_4=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'rgdpgrth_5'));
rgdpgrth_5=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'rgdpgrth_6'));
rgdpgrth_6=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'rgdpgrth_7'));
rgdpgrth_7=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'rgdpgrth_8'));
rgdpgrth_8=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'rgdpgrth_9'));
rgdpgrth_9=s.data(IndZ,ind);      



ind=find(strcmp(s.colheaders,'infl_nsa_1'));
infl_1=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'infl_nsa_2'));
infl_2=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'infl_nsa_3'));
infl_3=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'infl_nsa_4'));
infl_4=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'infl_nsa_5'));
infl_5=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'infl_nsa_6'));
infl_6=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'infl_nsa_7'));
infl_7=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'infl_nsa_8'));
infl_8=s.data(IndZ,ind); 
ind=find(strcmp(s.colheaders,'infl_nsa_9'));
infl_9=s.data(IndZ,ind); 

            

%Generate lead variables for each response variable
s=load('PCIPNSA_Data.mat');
s=s.s;

s.data=s.data(2:end,:);
ind=find(strcmp(s.colheaders,'year'));
year=s.data(:,ind);
ind=find(strcmp(s.colheaders,'month'));
month=s.data(:,ind);
day=eomday(year,month);
dx1=datenum([year,month,day]);

indStart=dx1(find(dx1>Start));
indEnd=dx1(find(dx1<End));
[dx1,ia,ib]=intersect(indStart,indEnd);
dx2=[];
MeetingInd=[];
for i=1:size(MeetingMonth,1)
    if ~isempty(intersect(MeetingMonth(i,1),dx1));        
        [ii,ia,ib]=intersect(MeetingMonth(i,1),dx1);        
        dx2=[dx2;MeetingMonth(i,1)];
        MeetingInd=[MeetingInd;ib];
    end
end
ind=find(strcmp(s.colheaders,'PCIPNSA'));
pcipnsa=s.data(:,ind);
            
            
            
% compute lagged outcome variables up to 36 month back, aligned with meeting
% dates


%Align Lead outcome variables with meeting dates
%Eliminate Meeting dates with no observed future outcomes
maxlead=36;
maxlag=1;
done=false;
while ~done
    if MeetingInd(end,:)<=length(dx1)-maxlead
       done=true;
    else
       IndZ=IndZ(1:end-1,:);
       MeetingInd=MeetingInd(1:end-1,:);
       MeetingMonth=MeetingMonth(1:end-1,:);
    end
end

%Align Lead outcome variables with meeting dates
%Eliminate Meeting dates with no observed future outcomes
done=false;
while ~done
    if MeetingInd(1,:)>maxlag
       done=true;
    else
       IndZ=IndZ(2:end,:);
       MeetingInd=MeetingInd(2:end,:);
       MeetingMonth=MeetingMonth(2:end,:);
    end
end

%adjust remaining data-set to lead timing
StartL=length(phat)-length(MeetingMonth);
phat=phat(StartL+1:end,:);
score=score(StartL+1:end,:);
xb=xb(StartL+1:end,:);
X=X(StartL+1:end,:);
D=D(StartL+1:end,:);

for i=1:maxlag
    z_pcipnsa(:,i)=[zeros(i-1,1);s.data(1:end-i+1,ind)];
    z_delta_FF_old(:,i)=[zeros(i-1,1);delta_FF_old(1:end+1-i,:)]; 
    z_graym(:,i)=[zeros(i-1,1);graym(1:end+1-i,:)]; 
    z_gray0(:,i)=[zeros(i-1,1);gray0(1:end+1-i,:)]; 
    z_gray1(:,i)=[zeros(i-1,1);gray1(1:end+1-i,:)]; 
    z_gray2(:,i)=[zeros(i-1,1);gray2(1:end+1-i,:)]; 
    z_igrym(:,i)=[zeros(i-1,1);igrym(1:end+1-i,:)]; 
    z_igry0(:,i)=[zeros(i-1,1);igry0(1:end+1-i,:)]; 
    z_igry1(:,i)=[zeros(i-1,1);igry1(1:end+1-i,:)]; 
    z_igry2(:,i)=[zeros(i-1,1);igry2(1:end+1-i,:)]; 
    z_gradm(:,i)=[zeros(i-1,1);gradm(1:end+1-i,:)]; 
    z_grad0(:,i)=[zeros(i-1,1);grad0(1:end+1-i,:)]; 
    z_grad1(:,i)=[zeros(i-1,1);grad1(1:end+1-i,:)]; 
    z_grad2(:,i)=[zeros(i-1,1);grad2(1:end+1-i,:)];     
    z_igrdm(:,i)=[zeros(i-1,1);igrdm(1:end+1-i,:)]; 
    z_igrd0(:,i)=[zeros(i-1,1);igrd0(1:end+1-i,:)]; 
    z_igrd1(:,i)=[zeros(i-1,1);igrd1(1:end+1-i,:)]; 
    z_igrd2(:,i)=[zeros(i-1,1);igrd2(1:end+1-i,:)]; 
    z_innovation(:,i)=[zeros(i-1,1);innovation(1:end+1-i,:)];
end

z_pcipnsa=z_pcipnsa(MeetingInd,:);
z_delta_FF_old=z_delta_FF_old(IndZ,:); 
z_graym=z_graym(IndZ,:); 
z_gray0=z_gray0(IndZ,:); 
z_gray1=z_gray1(IndZ,:); 
z_gray2=z_gray2(IndZ,:); 
z_igrym=z_igrym(IndZ,:); 
z_igry0=z_igry0(IndZ,:); 
z_igry1=z_igry1(IndZ,:); 
z_igry2=z_igry2(IndZ,:); 
z_gradm=z_gradm(IndZ,:); 
z_grad0=z_grad0(IndZ,:); 
z_grad1=z_grad1(IndZ,:); 
z_grad2=z_grad2(IndZ,:); 
z_igrdm=z_igrdm(IndZ,:); 
z_igrd0=z_igrd0(IndZ,:); 
z_igrd1=z_igrd1(IndZ,:); 
z_igrd2=z_igrd2(IndZ,:); 
z_innovation=z_innovation(IndZ,:); 
%compute dates to be excluded based on exclusion criterion

Model.z(1).cov=z_pcipnsa;
Model.z(2).cov=z_delta_FF_old; 
Model.z(3).cov=z_graym; 
Model.z(4).cov=z_gray0; 
Model.z(5).cov=z_gray1; 
Model.z(6).cov=z_gray2; 
Model.z(7).cov=z_igrym;        
Model.z(8).cov=z_igry0; 
Model.z(9).cov=z_igry1; 
Model.z(10).cov=z_igry2; 
Model.z(11).cov=z_gradm; 
Model.z(12).cov=z_grad0; 
Model.z(13).cov=z_grad1; 
Model.z(14).cov=z_grad2;        
Model.z(15).cov=z_igrdm; 
Model.z(16).cov=z_igrd0; 
Model.z(17).cov=z_igrd1; 
Model.z(18).cov=z_igrd2; 
Model.z(19).cov=z_innovation;

for i=1:maxlag
    z_rgdpgrth_1(:,i)=[zeros(i-1,1);rgdpgrth_1(1:end+1-i,:)]; 
    z_rgdpgrth_2(:,i)=[zeros(i-1,1);rgdpgrth_2(1:end+1-i,:)]; 
    z_rgdpgrth_3(:,i)=[zeros(i-1,1);rgdpgrth_3(1:end+1-i,:)]; 
    z_rgdpgrth_4(:,i)=[zeros(i-1,1);rgdpgrth_4(1:end+1-i,:)]; 
    z_rgdpgrth_5(:,i)=[zeros(i-1,1);rgdpgrth_5(1:end+1-i,:)]; 
    z_rgdpgrth_6(:,i)=[zeros(i-1,1);rgdpgrth_6(1:end+1-i,:)]; 
    z_rgdpgrth_7(:,i)=[zeros(i-1,1);rgdpgrth_7(1:end+1-i,:)]; 
    z_rgdpgrth_8(:,i)=[zeros(i-1,1);rgdpgrth_8(1:end+1-i,:)]; 
    z_rgdpgrth_9(:,i)=[zeros(i-1,1);rgdpgrth_9(1:end+1-i,:)]; 
    z_infl_1(:,i)=[zeros(i-1,1);infl_1(1:end+1-i,:)]; 
    z_infl_2(:,i)=[zeros(i-1,1);infl_2(1:end+1-i,:)]; 
    z_infl_3(:,i)=[zeros(i-1,1);infl_3(1:end+1-i,:)];     
    z_infl_4(:,i)=[zeros(i-1,1);infl_4(1:end+1-i,:)]; 
    z_infl_5(:,i)=[zeros(i-1,1);infl_5(1:end+1-i,:)]; 
    z_infl_6(:,i)=[zeros(i-1,1);infl_6(1:end+1-i,:)]; 
    z_infl_7(:,i)=[zeros(i-1,1);infl_7(1:end+1-i,:)]; 
    z_infl_8(:,i)=[zeros(i-1,1);infl_8(1:end+1-i,:)];
    z_infl_9(:,i)=[zeros(i-1,1);infl_9(1:end+1-i,:)];
end

%compute dates to be excluded based on exclusion criterion

Model.z(20).cov=z_rgdpgrth_1(IndZ,:); 
Model.z(21).cov=z_rgdpgrth_2(IndZ,:); 
Model.z(22).cov=z_rgdpgrth_3(IndZ,:); 
Model.z(23).cov=z_rgdpgrth_4(IndZ,:); 
Model.z(24).cov=z_rgdpgrth_5(IndZ,:);        
Model.z(25).cov=z_rgdpgrth_6(IndZ,:); 
Model.z(26).cov=z_rgdpgrth_7(IndZ,:); 
Model.z(27).cov=z_rgdpgrth_8(IndZ,:); 
Model.z(28).cov=z_rgdpgrth_9(IndZ,:); 
Model.z(29).cov=z_infl_1(IndZ,:); 
Model.z(30).cov=z_infl_2(IndZ,:); 
Model.z(31).cov=z_infl_3(IndZ,:);        
Model.z(32).cov=z_infl_4(IndZ,:); 
Model.z(33).cov=z_infl_5(IndZ,:); 
Model.z(34).cov=z_infl_6(IndZ,:); 
Model.z(35).cov=z_infl_7(IndZ,:); 
Model.z(36).cov=z_infl_8(IndZ,:);
Model.z(37).cov=z_infl_9(IndZ,:);

return

