function MevalCIT3val_B(Type,PScoreModel,bs)

%modified version of MevalCIT3val to handle bootstrap p-values

Model=struct('Start','','End','','Variables','','Type','');


%supported Model Types:
% parset1
% parset2

Model.list=1; %list of choice categories to be included in test
Model.Type=Type;
Model.Start='31-Dec-1960';
Model.End='1-Jan-1997';
Model.level=[-.25,0,.25]';
Model.Test='Unconditional';
Model.PScoreModel=PScoreModel;
Model.BST=bs; %Bootstrap Type
Model.BSRep=200; %number of bootstrap replications


% exlude these meeting dates from computation of test statistic.
% if no dates are to be exluded then this line needs to be removed or
% commented out. If Exlude contains more then one date, the dates need to
% be arranged as a row vector
%Model.Exclude=[datenum('31-May-1980')]; 
%Model.ExTyp='M80';

%Exclude dates based on condition: g95=> phat>.95
Model.Exclude=[];
%Model.ExTyp='g95';
%Exclude dates based on condition: b5-95=> phat>.95 or phat<.0005
Model.ExTyp='b5-95';

mat=zeros(78,9);

Model.list=1;
res=dlmread(['Test1_Results_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],'\t');
mat(:,2)=res(:,2);
matp(:,1:3)=res(:,4:6);

Model.list=3;
res=dlmread(['Test3_Results_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],'\t');
mat(:,3)=res(:,2);
matp(:,4:6)=res(:,4:6);

Model.list=[1 3];
res=dlmread(['Test13_Results_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],'\t');
mat(:,8)=res(:,2);
matp(:,7:9)=res(:,4:6);

% determine significance based on numerical critical values


dlmwrite(['CITest_Results' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],[],'delimiter','');
title1=['Causality Tests for ' Model.PScoreModel '_' Model.Type];
title2=['Policy Type' char([9 9 9]) ' Down BSK' char([9 9 9])  'Down BS'  char([9 9 9])  'Up BSK' char([9 9 9])  'Up BS'...
        char([9 9 9]) 'ALL BSK' char([9 9 9]) 'ALL BS'];
dlmwrite(['CITest_Results' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],title1,'-append','delimiter','');
dlmwrite(['CITest_Results' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],title2,'-append','delimiter','');
dlmwrite(['CITest_Results' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],' ','-append','delimiter','');

text=[['Quarters Lead ' char(9) ' 1' char([9 9])]    ;
      ['              ' char(9) ' 2' char([9 9])]; 
      ['              ' char(9) ' 3' char([9 9])]; 
      ['              ' char(9) ' 4' char([9 9])]; 
      ['              ' char(9) ' 5' char([9 9])]; 
      ['              ' char(9) ' 6' char([9 9])]; 
      ['              ' char(9) ' 7' char([9 9])];        
      ['              ' char(9) ' 8' char([9 9])]; 
      ['              ' char(9) ' 9' char([9 9])]; 
      ['              ' char(9) '10' char([9 9])]; 
      ['              ' char(9) '11' char([9 9])]; 
      ['              ' char(9) '12' char([9 9])]; 
      ['Half Year Lead' char(9) ' 1' char([9 9])]; 
      ['              ' char(9) ' 2' char([9 9])]; 
      ['              ' char(9) ' 3' char([9 9])]; 
      ['              ' char(9) ' 4' char([9 9])]; 
      ['              ' char(9) ' 5' char([9 9])];
      ['              ' char(9) ' 6' char([9 9])];
      ['Year Lead     ' char(9) ' 1' char([9 9])]; 
      ['              ' char(9) ' 2' char([9 9])]; 
      ['              ' char(9) ' 3' char([9 9])];];

%for i=1:size(mat,1)
for i=37:57

    s=text(i-36,:);
    jp=1;
    for j=1:size(mat,2)

        if i<=57 %k=1 (monthly leads)
           if j<=4  %M=1
                if j==2 || j==3
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j>4 && j<=8 %M=2
                if j==8
                    for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                    end
               end
           elseif j==9 %M=4
           end %if j
        elseif i>57 && i<=69 %k=3 (quarter year leads)
           if j<=4 %M=1
               if j==2 || j==3
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j>4 && j<=8 %M=2
               if j==8
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j==9   %M=4
           end %if j
        elseif i>69 && i<=75 %k=6 (half year leads)
           if j<=4  %M=1
               if j==2 || j==3
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j>4 && j<=8   %M=2
               if j==8
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j==9  %M=4
           end %if j
     elseif i==76 %k=12 leads
            if j<=4  %M=1
               if j==2 || j==3
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j>4 && j<=8  %M=2
               if j==8
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j==9      %M=4
           end %if j
      elseif i==77 %k=24 leads
            if j<=4  %M=1
               if j==2 || j==3
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end         
           elseif j>4 && j<=8  %M=2
               if j==8
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j==9      %M=4
            end %if j          
        elseif i==78 %k=36 leads
            if j<=4  %M=1
               if j==2 || j==3
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j>4 && j<=8  %M=2
               if j==8
                   for jjp=1:3
                       if jjp>=2
                          s=prints(s,i,jp,matp);
                       end
                       jp=jp+1;
                   end
               end
           elseif j==9      %M=4
            end %if j           
        end %if i
     end %for j
       if (i==37||i==49||i==55||i==58||i==70||i==76)
           dlmwrite(['CITest_Results' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],' ','-append','delimiter','');
       end
       dlmwrite(['CITest_Results' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],s,'-append','delimiter','');
end %for i
