function MevalPST3val_B(Type,PSM,bs)

Model=struct('Start','','End','','Variables','','Type','');


%supported Model Types:
% parset1
% parset2

Model.list=1; %list of choice categories to be included in test
Model.Type=Type;
Model.Start='31-Dec-1960';
Model.End='1-Jan-1997';
Model.level=[-.5,-.25,0,.25,.5]';
Model.Test='Unconditional';
Model.PScoreModel=PSM;
Model.BST=bs; %Bootstrap Type
Model.BSRep=200; %number of bootstrap replications

% exlude these meeting dates from computation of test statistic.
% if no dates are to be exluded then this line needs to be removed or
% commented out. If Exlude contains more then one date, the dates need to
% be arranged as a row vector
%Model.Exclude=[datenum('31-May-1980')]; 
%Model.ExTyp='M80';

%Exclude dates based on condition: g95=> phat>.95
Model.Exclude=[];
%Model.ExTyp='g95';
%Exclude dates based on condition: b5-95=> phat>.95 or phat<.0005
Model.ExTyp='b5-95';

Model.list=1;
res=dlmread(['PScoreTest1_Results_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],'\t');
mat(2,:,:)=res(2,:);
matp(:,1:3)=res(4:6,:)';

Model.list=3;
res=dlmread(['PScoreTest3_Results_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],'\t');
mat(3,:,:)=res(2,:);
matp(:,4:6)=res(4:6,:)';

Model.list=[1 3];
res=dlmread(['PScoreTest13_Results_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],'\t');
mat(5,:,:)=res(2,:);
matp(:,7:9)=res(4:6,:)';

% determine significance based on numerical critical values


for j=1:size(mat,1)
    dlmwrite(['PSTest_Results_Long_' num2str(j) Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],[],'delimiter','');
    dlmwrite(['PSTest_Results_FForm_' num2str(j) Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],[],'delimiter','');
    s=[];
    s1=[];
        for k=1:size(mat,3)
            jp=1;   
            s=[s num2str(mat(j,1,k)) char(9)];                
               if j<=4  %M=1
                    if j==2 || j==3
                       for jjp=1:3
                           if jjp>=2
                              s=prints(s,k,jp,matp);
                           end
                           jp=jp+1;
                       end
                   end
               elseif j>4&&j<=8 %M=2
                    if j==5
                        for jjp=1:3
                           if jjp>=2
                              s=prints(s,k,jp,matp);
                           end
                           jp=jp+1;
                        end
                   end
               elseif j==9 %M=4
               end %if j
               if isempty(s1)
                  s1=size(s,2);
                  slast=s1;
              else
                  slast=size(s,2)-s1;%length of last entry
                  s1=size(s,2);
              end
              dlmwrite(['PSTest_Results_FForm_' num2str(j) Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],s(1,end-slast+1:end),'-append','delimiter','');
        end %for k
end % if j