set more off

capture log close


log using final_run.log, replace

/* 
C Kinnan
2/28/08
final_run.do

1. Full modified Romer (i.e., using lagged chg instead of lagged level
    and unem innovation)
 2. Romer 9-var
 3. Romer 10-var

 4. Taylor with delta_FF_old, delta_FF_older
 5. Taylor with delta_FF_old and delta_FF_old_square
Binned and unbinned.

Uses:
model_data_239.dta
romer_data
data_month.txt

Produces:

*/

*****UNBINNED*****

//1a. MODIFIED ROMER, NONPAR

use model_data_239.dta, clear

do final_maker_3vals_romer.do

use model_data_239.dta, clear

//1b. MODIFIED ROMER, SIMS

do make_leads.do

do final_sims_romer.do

//2a. 9 VAR ROMER

use model_data_239.dta, clear
do final_maker_3vals_9vars.do

//2b. 9 VAR ROMER, SIMS

do final_sims_9vars.do

//3a. 10 VAR ROMER

use model_data_239.dta, clear
do final_maker_3vals_10vars.do

use model_data_239.dta, clear

//3b. 10 VAR ROMER, SIMS

do final_sims_10vars.do

//4a. TAYLOR WITH DELTA_FF_OLD, DELTA_FF_OLDER, NONPAR

do final_taylor.do

//4b. TAYLOR WITH DELTA_FF_OLD, DELTA_FF_OLDER, SIMS

do final_sims_taylor.do

//5a. TAYLOR WITH DELTA_FF_OLD, DELTA_FF_OLD_SQ, NONPAR

do final_taylor_square.do

//5b. TAYLOR WITH DELTA_FF_OLD, DELTA_FF_OLD_SQ, SIMS

do final_sims_taylor_square.do

*****BINNED*****

use model_data_239.dta, clear
save model_data_239_nobin.dta, replace

use model_data_239.dta, clear

//RECODE LAGGED VALUES TO 3 BINS
replace delta_FF_old=-.25 if delta_FF_old<0
replace delta_FF_old=.25 if delta_FF_old>0&delta_FF_old!=.

replace delta_FF_older=-.25 if delta_FF_older<0
replace delta_FF_older=.25 if delta_FF_older>0&delta_FF_older!=.

replace  delta_FF_old_square=delta_FF_old*delta_FF_old

codebook delta_FF_old delta_FF_older delta_FF_old_square

save model_data_239.dta, replace

//6a. MODIFIED ROMER, NONPAR

use model_data_239.dta, clear

do final_maker_3vals_romer_bin.do

use model_data_239.dta, clear

//6b. MODIFIED ROMER, SIMS

do final_sims_romer_bin.do

//7a. 9 VAR ROMER

use model_data_239.dta, clear
do final_maker_3vals_9vars_bin.do

//7b. 9 VAR ROMER, SIMS

do final_sims_9vars_bin.do

//8a. 10 VAR ROMER

use model_data_239.dta, clear
do final_maker_3vals_10vars_bin.do

use model_data_239.dta, clear

//8b. 10 VAR ROMER, SIMS

do final_sims_10vars_bin.do

//9a. TAYLOR WITH DELTA_FF_OLD, DELTA_FF_OLDER, NONPAR

do final_taylor_bin.do

//9b. TAYLOR WITH DELTA_FF_OLD, DELTA_FF_OLDER, SIMS

do final_sims_taylor_bin.do

//10a. TAYLOR WITH DELTA_FF_OLD, DELTA_FF_OLD_SQ, NONPAR

do final_taylor_square_bin.do

//10b. TAYLOR WITH DELTA_FF_OLD, DELTA_FF_OLD_SQ, SIMS

do final_sims_taylor_square_bin.do

use model_data_239_nobin.dta, clear
save model_data_239.dta, replace

log close
