function outData(Model,TestStr);

if nargin==1
   TestStr='CIT';
end

yNames=Model.Names.yNames;
DNames=Model.Names.DNames;
XNames=Model.Names.XNames;
y=Model.y;
D=Model.D;
X=Model.X;
dX=Model.MeetingMonth;

n=size(y,1);


%3 month change
ycum=y;
for i=1:12
    ycum=[ycum sum(y(:,1:i*3)')'];
    yNames=[yNames char(9) 'PCIP_Q' num2str(i)];
end
%6 month change
for i=1:6
    ycum=[ycum sum(y(:,1:i*6)')'];
    yNames=[yNames char(9) 'PCIP_H' num2str(i)];
end
%1 year change
ycum=[ycum sum(y(:,1:12)')'];
yNames=[yNames char(9) 'PCIP_Y1'];
ycum=[ycum sum(y(:,1:24)')'];
yNames=[yNames char(9) 'PCIP_Y2'];
ycum=[ycum sum(y(:,1:36)')'];
yNames=[yNames char(9) 'PCIP_Y3'];


dlmwrite([TestStr '_Test_Data_' Model.PScoreModel '_' Model.Type '.txt'],[],'delimiter','');
dlmwrite([TestStr '_Test_Data_' Model.PScoreModel '_' Model.Type '.txt'],['Year' char(9) 'Month'  yNames char(9) DNames char(9) XNames],'-append','delimiter','');

for i=1:n
    dv=datevec(dX(i));
    outline=[dv(1:2) ycum(i,:), D(i,:), X(i,:)];
    dlmwrite([TestStr '_Test_Data_' Model.PScoreModel '_' Model.Type '.txt'],outline,'-append','delimiter','\t');
end


s=importdata('data_239.txt','\t');
indM=find(strcmp(s.colheaders,'month'));
indY=find(strcmp(s.colheaders,'year'));
eomStata=eomday(s.data(:,indY),s.data(:,indM));
dS=datenum(s.data(:,indY),s.data(:,indM),eomStata);
ind=find(strcmp(s.colheaders,'sample'));
sample=s.data(:,ind);
dateStata=[];
dsInd=[];
for i=1:length(sample);
    if sample(i,:)==1
       dateStata=[dateStata; dS(i,:)];
       dsInd=[dsInd i];
    end
end


dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],[],'delimiter','');
diff1=setdiff(dateStata,dX);
if ~isempty(diff1)
    dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],['Dates not in Matlab'],'-append','delimiter','');
    for i=1:length(diff1);
        dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],datestr(diff1(i,:)),'-append','delimiter','');
    end
else
    dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],['Dates Matlab ok'],'-append','delimiter','');
end
diff2=setdiff(dX,dateStata);
if ~isempty(diff2)
    dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],['Dates not in Stata'],'-append','delimiter','');
    for i=1:length(diff2);
        dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],datestr(diff2(i,:)),'-append','delimiter','');
    end
else
    dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],['Dates Stata ok'],'-append','delimiter','');
end

[idat,ia,ib]=intersect(dateStata,dX);




done=false;
j=1;
i=0;
while ~done
    str=[];
    while (j<=length(XNames) && XNames(:,j)~=char(9));
       str=[str XNames(:,j)];
       j=j+1;
    end
    i=i+1;
    j=j+1;
    if j>length(XNames)
        done=true;
    end
    ind=find(strcmp(s.colheaders,str));
    StataData=s.data(dsInd(ia),ind);
    if ~isempty(ind);
        diff=find(StataData-X(ib,i));
        if ~isempty(diff)
            dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],str,'-append','delimiter','');
            for ii=1:length(diff)
                dSt=datestr(idat(diff(ii,:)));
                dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],dSt,'-append','delimiter','');                
            end
        else 
          dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],[str ' ok'],'-append','delimiter','');            
        end
    end
end

done=false;
tol=10^-12;
j=2;
i=0;
while ~done
    str=[];
    while (j<=length(yNames) && yNames(:,j)~=char(9));
       str=[str yNames(:,j)];
       j=j+1;
    end
    i=i+1;
    j=j+1;
    if j>length(yNames)
        done=true;
    end
    ind=find(strcmp(s.colheaders,str));
    StataData=s.data(dsInd(ia),ind);
    if ~isempty(ind);
        diff=find((StataData-ycum(ib,i)>tol));
        if ~isempty(diff)
            dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],str,'-append','delimiter','');
            for ii=1:length(diff)
                dSt=datestr(idat(diff(ii,:)));
                dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],dSt,'-append','delimiter','');                
            end
        else
            dlmwrite([TestStr '_Test_DataDiscrepancy_' Model.PScoreModel '_' Model.Type '.txt'],[str ' ok'],'-append','delimiter','');            
        end
    end
end